package com.ruoyi.generator.domain.Community;

import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
* 用户文章收藏表
* @TableName community_article_collect
*/
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityArticleCollect extends BaseEntity implements Serializable {

    /**
    * 收藏id
    */
    @NotNull(message="[收藏id]不能为空")
    @ApiModelProperty("收藏id")
    private Long collectId;
    /**
    * 文章id
    */
    @ApiModelProperty("文章id")
    private Long articleId;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
}
