package com.ruoyi.generator.domain.Community;

import javax.validation.constraints.NotNull;

import java.io.Serializable;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
* 用户点赞文章记录
* @TableName community_like
*/
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityLike extends BaseEntity implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    private Long likeId;
    /**
    * 文章id
    */
    @ApiModelProperty("文章id")
    private Long articleId;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
}
